You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-02-06 17:00:07

skbz
Member
Registered: 2019-02-06
Posts: 3

Problème de mise à jour GLPI 0.85.4 > GLPI 9.3.3.

Bonjour à tous,

Je rencontre actuellement un souci lors de la MAJ de la version du GLPI de ma boite (0.85.4 vers 9.3.3), le problème arrive lors de la MAJ de la 9.1.3 vers la 9.2 j'ai regardé sur le forum si une solution convenait mais rien n'est adapté (ou ne fonctionne pas pour moi)

Voici les quelques logs utiles issues de php-errors


  *** PHP Notice(8): Undefined index: dbversion
  Backtrace :
  inc/config.php:257
  inc/includes.php:53                                include_once()
  index.php:57                                       include()
  {"user":"@########"}
[2019-02-06 15:35:45] glpiphplog.ERROR: Toolbox::userErrorHandlerNormal() in /###########/htdocs/glpi/inc/toolbox.class.php line 657
  *** PHP Notice(8): Undefined index: dbversion
  Backtrace :
  inc/config.php:257
  inc/includes.php:53                                include_once()
  index.php:57                                       include()
  {"user":"@#########"}
[2019-02-06 15:35:49] glpiphplog.ERROR: Migration::renameTable() in /#############/htdocs/glpi/inc/migration.class.php line 576
Impossible de renommer la table glpi_slts (ok) en glpi_slas (ko) !  {"user":"@########""}




Pour information, la mise à jour ne se fait pas directement sur le serveur actuel, une nouvelle plateforme a été monté sous centos 7.5 avec tout les prérequis et paramètres nécessaires au bon fonctionnement de glpi.

Quand au dump de la base il a été effectué en ligne de commande (mysqldump) et restauré de la même manière sur le nouveau serveur.

Autre précision aussi j'ai essayé de fragmenter l'installation et cette dernière ce déroule sans erreur jusqu'à la version 9.1.3 de GLPI, puis génère la même erreur lors du passage 9.1.3 > 9.2, autre fait notable lors de la migration quand l'erreur apparait je me retrouve avec les deux tables dans ma base (glpi_stls & glpi_slas) Or il me semble que l'une doit remplacer l'autre, la suppression d'une de ces dernière (avant pendant après la migration) ne change rien en passant, l'erreur reste la même.

Auriez vous une idée ?

Merci d'avance.

Last edited by skbz (2019-02-07 08:06:57)

Offline

#2 2019-02-07 19:20:11

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 14,842

Re: Problème de mise à jour GLPI 0.85.4 > GLPI 9.3.3.

pour les problèmes de slts, slas c'est redressé dans les migrations 9.2.
Donc relancer la migration


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#3 2019-02-08 00:01:30

skbz
Member
Registered: 2019-02-06
Posts: 3

Re: Problème de mise à jour GLPI 0.85.4 > GLPI 9.3.3.

Le problème ne venait pas de la, un soucis lors de l'export et/ou import de la bdd en refaisant un export propre depuis la prod le soucis c'est résolu.

Merci quand même.

De ce fait le post peut être clôturé : )

Last edited by skbz (2019-02-08 09:26:19)

Offline

Board footer

Powered by FluxBB